CREATE TABLE hrm_plan_external_candidates (
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    EXTERNAL_CANDIDATE_ID    NUMBER(18, 0) ,
    FIRST_NAME               VARCHAR2(600) ,
    LAST_NAME                VARCHAR2(600)     NOT NULL,
    DISPLAY_NAME             VARCHAR2(1200),
    CURRENT_EMPLOYER_NAME    VARCHAR2(256) ,
    CURRENT_JOB_TITLE        VARCHAR2(256) ,
    ADDRESS_LINE1            VARCHAR2(960) ,
    ADDRESS_LINE2            VARCHAR2(960) ,
    COUNTRY                  VARCHAR2(240) ,
    STATE                    VARCHAR2(480) ,
    TOWN_OR_CITY             VARCHAR2(120) ,
    POSTAL_CODE              VARCHAR2(120) ,
    EMAIL_ADDRESS            VARCHAR2(960) ,
    PHONE_NUMBER             VARCHAR2(240) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    EXTERNAL_CANDIDATE_ID    NUMBER(18, 0) ,
    FIRST_NAME               VARCHAR2(600) ,
    LAST_NAME                VARCHAR2(600)     NOT NULL,
    DISPLAY_NAME             VARCHAR2(1200),
    CURRENT_EMPLOYER_NAME    VARCHAR2(256) ,
    CURRENT_JOB_TITLE        VARCHAR2(256) ,
    ADDRESS_LINE1            VARCHAR2(960) ,
    ADDRESS_LINE2            VARCHAR2(960) ,
    COUNTRY                  VARCHAR2(240) ,
    STATE                    VARCHAR2(480) ,
    TOWN_OR_CITY             VARCHAR2(120) ,
    POSTAL_CODE              VARCHAR2(120) ,
    EMAIL_ADDRESS            VARCHAR2(960) ,
    PHONE_NUMBER             VARCHAR2(240) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_hrm_plan_external_candidates PRIMARY KEY (EXTERNAL_CANDIDATE_ID, EXTERNAL_CANDIDATE_ID)
);
